﻿@{
    ViewBag.Title = "Index";
    Campaign currCampaign = ViewBag.Campaign;
    string campaignTitle = (currCampaign != null && currCampaign.ID > 0) ? "Campaign " + currCampaign.Name : "CampaignAction";
    string addUrl =  (currCampaign != null && currCampaign.ID > 0) ? Url.Action(MVC.CampaignAction.Add(currCampaign.ID)) : Url.Action(MVC.CampaignAction.Add());
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>@campaignTitle</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@addUrl" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Add CampaignAction</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> All CampaignAction</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachCampaignAction", CampaignAction = "form" }))
                {
                    if (currCampaign != null && currCampaign.ID > 0)
                    {

                        <input type="hidden" id="CampaignID" name="CampaignID" class="form-control box-search" value="@currCampaign.ID">
                    }
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllCampaignAction")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
        (function () {
                var gridName = 'AllCampaignAction';
                var pagingUrl = '@Url.Action(MVC.CampaignAction.GridGetAllCampaignActionPager())';

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSeachCampaignAction')
                });
            }())
    </script>
}